player_actarray_position_cmd Struct Reference

Command: Joint position control (PLAYER_ACTARRAY_CMD_POS) More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | joint
| The joint/actuator to command. More...
float | position
| The position to move to. More...

## Detailed Description

Command: Joint position control (PLAYER_ACTARRAY_CMD_POS)

Tells a joint/actuator to attempt to move to a requested position.

## Member Data Documentation

int32_t player_actarray_position_cmd::joint

The joint/actuator to command.

float player_actarray_position_cmd::position

The position to move to.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45